%define pypi_name notebook

Name:           jupyter-notebook
Version:        4.2.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Jupyter web-based notebook environment (tools)

License:        BSD
URL:            http://jupyter.org/
Source0:        https://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-use-setuptools-for-everything-so-the-python-Depends-.patch

BuildArch:      noarch
 
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)
Requires:       python3-%{name} = %{version}-%{release}



%description
The Jupyter Notebook is a web application that allows you to create 
and share documents that contain live code, equations, visualizations, 
and explanatory text. The Notebook has support for multiple programming
languages, sharing, and interactive widgets.

This package contains the jupyter-notebook tool.


%package -n     python2-%{name}
Summary:        Jupyter web-based notebook environment (Python 2)


%description -n python2-%{name}
The Jupyter Notebook is a web application that allows you to create 
and share documents that contain live code, equations, visualizations, 
and explanatory text. The Notebook has support for multiple programming
languages, sharing, and interactive widgets.

This package installs the library for Python 2.

%package -n     python3-%{name}
Summary:        Jupyter web-based notebook environment (Python 3)


%description -n python3-%{name}
The Jupyter Notebook is a web application that allows you to create 
and share documents that contain live code, equations, visualizations, 
and explanatory text. The Notebook has support for multiple programming
languages, sharing, and interactive widgets.

This package installs the library for Python 3.



%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%{_bindir}/jupyter-notebook
%{_bindir}/jupyter-nbextension
%{_bindir}/jupyter-serverextension


%files -n python2-%{name}
%license COPYING.md
%{python2_sitelib}/


%files -n python3-%{name}
%license COPYING.md
%{python3_sitelib}/




%changelog
* Mon Apr 18 2016 philippem <philippem> 4.2.0-1.mga6
+ Revision: 1003478
- imported package jupyter-notebook

